
Model subclass: #Celeste
	instanceVariableNames: 'mailDB currentMessages currentMsgID lastCategory account messageTextView'
	classVariableNames: 'TimeZoneString CustomFiltersCompiled NamedFilters SuppressWorthlessHeaderFields FormatWhenFetching CustomFilters DeleteInboxAfterFetching UseScaffoldingInterface'
	poolDictionaries: ''
	category: 'Network-Mail Reader'!

!Celeste commentStamp: 'ls 6/6/2003 12:31' prior: 0!
I am the core of a mail reading and organizing program. The name "Celeste" is a reference to an earlier mail reader named "Babar", which was written at Xerox PARC by Steve Putz and John Maloney.

This object provides a user interface and some higher-level functionality for the application. The foundation of of the mail reader is really the mail database, implemented by the class MailDB.

Implementation note: the 'mailDB' instance variable can be nil.  This way, it is possible to have a Celeste window with no DB currently loaded.  All user-accessible functions that access mailDB should be careful to quietly do nothing if mailDB is nil.  The purpose is to provide a useful prototype window for new users.

This class is abstract.  The concrete subclasses provide slightly different interfaces.
!

!IndexFileEntry methodsFor: 'read-write' stamp: 'mdr 10/24/2001 17:40'!
readFrom: aStream
	"Initialize myself from the given text stream."

	location _ MailDB readIntegerLineFrom: aStream.
	textLength _ MailDB readIntegerLineFrom: aStream.
	time _ MailDB readIntegerLineFrom: aStream.
	self from: (MailDB readStringLineFrom: aStream) decodeMimeHeader isoToSqueak.
	self to: (MailDB readStringLineFrom: aStream) decodeMimeHeader isoToSqueak.
	self cc: (MailDB readStringLineFrom: aStream) decodeMimeHeader isoToSqueak.
	self subject: (MailDB readStringLineFrom: aStream) decodeMimeHeader isoToSqueak.! !
